%define		prerelease 493svn
Name:		conmux
Version:	0.0
Release:	20.%{prerelease}%{?dist}
Summary:	ConMux - The Console Multiplexor

Group:		Applications/System
License:	GPLv2
URL:		http://test.kernel.org/autotest/
Source0:	http://people.redhat.com/bpeck/%{name}/%{name}-%{prerelease}.tar.gz
# svn checkout -r493 svn://test.kernel.org/autotest/trunk/conmux conmux
Source1:	%{name}.conf
Source2:	%{name}.logrotate
Source3:	%{name}.init
Patch1:		%{name}.build.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl
Requires:	%{name}-client = %{version}-%{release}
BuildArch:	noarch
Requires:	logrotate
Provides:	perl(Payload)
Provides:	perl(Client)
Requires(post):	/sbin/chkconfig
Requires(preun):	/sbin/chkconfig
Requires(preun):	/sbin/service

%description
Conmux is a console management program designed to support a large
number of console devices and simultaneous users.  It currently supports
IBM's blade and hmc servers.

Its features include:

  - driver interface abstracts how to connect to the console
  - helpers for dealing with autobooting
  - can support additional commands for dealing with power management
  - allows multiple clients to be connected to the same console

%package client
Group:		Applications/System
Summary:	Conmux client which will connect to a Conmux server
Obsoletes:	conmux-common < %{version}-%{release}
Provides:	conmux-common = %{version}-%{release}
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description client
Conmux client connects to a conmux server. 

%prep
%setup -q -n conmux
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
# put in our own config and logrotate
install -pm 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}.conf
install -pm 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
install -pm 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
# make log directories
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}.old
# these shouldn't be executable
chmod -x examples/*


%clean
rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/chkconfig --add conmux

%preun
if [ "$1" = 0 ]; then
  /sbin/service conmux stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del conmux
fi

%postun
if [ "$1" -ge 1 ]; then
  /sbin/service conmux condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc COPYING README
%doc examples
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_sysconfdir}/init.d/%{name}
%dir %{_sysconfdir}/%{name}
%{_localstatedir}/log/%{name}
%{_localstatedir}/log/%{name}.old
%{_localstatedir}/run/%{name}
%{_bindir}/conmux-attach
%{_sbindir}/*
%{_datadir}/conmux/

%files client
%defattr(-,root,root,-)
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_bindir}/conmux
%{perl_vendorlib}/Conmux.pm
%doc COPYING README

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-20.493svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.0-19.493svn
- Perl 5.18 rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-18.493svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-17.493svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 10 2012 Petr Pisar <ppisar@redhat.com> - 0.0-16.493svn
- Perl 5.16 rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-15.493svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.0-14.493svn
- Perl mass rebuild

* Fri Jun 10 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.0-13.493svn
- Perl 5.14 mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-12.493svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 08 2010 Bill Peck <bpeck@redhat.com> - 0.0-11.493svn
- Include COPYING file in -client package.

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.0-10.493svn
- Mass rebuild with perl-5.12.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-9.493svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0-8.493svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 07 2008 Michal Schmidt <mschmidt@redhat.com> 0.0-7.493svn
- "GPL" is ambiguous, the license is GPLv2 specifically
- conmux-client ships a perl module, so it must require MODULE_COMPAT
  as described in the packaging guidelines. Fixes bug 443273.

* Mon Apr 09 2007 Bill Peck <bpeck@redhat.com> 0.0-6.493svn
- minor spec file changes for directory ownership
* Thu Mar 15 2007 Bill Peck <bpeck@redhat.com> 0.0-5.493svn
- fixed Obsoletes/Provides
- minor update to init.d/conmux
* Wed Mar 14 2007 Bill Peck <bpeck@redhat.com> 0.0-4.493svn
- added jarod's init script.  Thanks!
* Mon Mar 12 2007 Bill Peck <bpeck@redhat.com> 0.0-3.493svn
- release really is 0.0 since there is no upstream release yet.
- merge client and common into one package.
* Mon Mar 05 2007 Bill Peck <bpeck@redhat.com> 0.1-2.493svn
- Removed .svn files from tarball.
- install logrotate and config files with -p
* Mon Mar 05 2007 Bill Peck <bpeck@redhat.com> 0-1.493svn
- changed from perl_sitelib to perl_vendorlib.
* Fri Mar 02 2007 Bill Peck <bpeck@redhat.com> 0-0.493svn
- Update to latest svn. drop upstream patch.
* Mon Feb 26 2007 Bill Peck <bpeck@redhat.com> 0-2.484svn
- Remove erroneous chmod on config file.
- rename conmux to conmuxd and rename console to conmux
* Fri Feb 23 2007 Bill Peck <bpeck@redhat.com> 0-1.484svn
- Initial build for Fedora Extras
